ERPNext Conference 2019* ERPNext.com Blog

[v12] Null module names on Desk

update_problem
bug
erpnext

#1

Updated to v12 but not able to see Modules. Getting module names as null. Was on v11 before updating.


[Mega Thread] Version 12 Release Bugs
[Release] ERPNext Version 12
#2

I am also facing same problem


#3

+1… I had to reinstall all the system… Don’t know a easy way to solve…


#4

I have this error . I hope someone figure out how to resolve this.


#5

I guess it have something about bench update

I did bench clear-cache on /frappe/frappe-bench, checked the swap file, with free -m, and trying to bench update again.

Aparentely, I’m stuck again on Built css/frappe-web.css


#6

running $bench version gives the following-

erpnext 11.1.48
frappe 12.0.0

Looks like $bench update is only updating frappe and not the apps (erpnext in this case).


#7

maybe reinstall erpnext?


#8

That’s the last resort but I’m not sure if that’s a good idea with a production system.


#9

Yeah, erpnext should also be on v12 for the module names to show up.


[Mega Thread] Version 12 Release Bugs
[Release] ERPNext Version 12
[Release] ERPNext Version 12
#10

How to do that? I thought $bench update will take care of updating both frappe and erpnext. Is it because the branch master has been deprecated? I installed erpnext from the master branch when setting up the whole system.


#11

#12

the problem was that erpnext won’t upgrade to the version 12, only frappe was update.
To upgrade erpnext to version 12 i follow this steps.

  1. first go to: cd / home/frappe/frappe-bench/apps/frappe
    and run:
    git config remote.upstream.fetch “+refs/heads/:refs/remotes/upstream/
    git fetch upstream
  2. cd / home/frappe/frappe-bench/apps/erpnext
    and run:
    git config remote.upstream.fetch “+refs/heads/:refs/remotes/upstream/
    git fetch upstream
  3. After this go to
    cd / home/frappe/frappe-bench/
    bench switch-to-branch version-12 --upgrade
    bench update --patch

#13

I copy pasted your code, but get
fatal: Invalid refspec ‘“+refs/heads/:refs”’

I am assuming because +ref or :ref should be replaced with something. What I’m not sure what.

Any help? Thanks!


#14

That pasting/preformatting problem will ruin lots of systems guys!

Just check the few initial lines when you update. The correct code sythax is written there. While posting here, some characters get either truncated or changed so the command you run do not work and some functions do not return any error message leaving you to think you have successfully ran the code.


#15

I think it doesn’t have version-12 for frappe.

I do switch to develop first and switch to version-12 after and it’s working


#16

here is correct syntax


#17

Also note that bench update --patch fails if erpnext is on wrong branch.

For me, what made all the difference was to stash changes in the erpnext folder (frappe-bench/apps/erpnext), I actually made no changes, but well, that was it. so try:

git config --global user.email ="your email"

then

git config --global user.name ="your email or name"

then

``git stash```

then

bench switch-to-branch version-12 --upgrade

all goes well, then

bench update --patch works.


#18

didn’t Work
/home/frappe/frappe-bench# bench update --patch
master branch is renamed to version-11 and develop to version-12. Please switch to new branches to get future updates.

To switch to version 11, run the following commands: bench switch-to-branch version-11

keep getting this again and again